﻿@page
@model TrabajoIntegrador.Pages.IndexModel
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers


<h1>
    Listados de archivos
</h1>

<a asp-page-handler="Add">
    Nuevo archivo
</a>

@if (Model.archivos.Count > 0)
{
    <div>
        Total de archivos: @Model.archivos.Count
    </div>
    
    <table border="1">
    @foreach (var archivo in Model.archivos)
    {
        <tr>
            <td>
                @archivo.Name
            </td>
            <td>
                @archivo.Extension
            </td>
            <td>
                <a asp-page-handler="Delete"
                   asp-route-name="@archivo.Name"
                   asp-route-extension ="@archivo.Extension">
                    Eliminar
                </a>
            </td>
            <td>
                <a asp-page-handler="Rename"
                   asp-route-name="@archivo.Name"
                   asp-route-extension="@archivo.Extension">
                    Renombrar
                </a>
            </td>
        </tr>
    }
    </table>
}